#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	kashmir-dependency
Version		:	0.0.3
Release		:	16.2.0.rel%{?dist}
Summary		:	The Kashmir Library
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Boost Software License
URL		:	https://github.com/ziocleto/kashmir-dependency

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
The Kashmir Library is intended to provide functionality needed
in many software projects, but not present in the C++ standard
library.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc LICENSE_1_0.txt
%{_includedir}/%{sname}/*.h
%{_includedir}/%{sname}/system/*.h


#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
%build
%{__mkdir_p} build
pushd build

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DMANDIR=%{_mandir}					\
	-DCMAKE_VERBOSE_MAKEFILE=TRUE				\
	-DCMAKE_C_FLAGS_RELEASE:STRING="$RPM_OPT_FLAGS"		\
	-DCMAKE_CXX_FLAGS_RELEASE:STRING="$RPM_OPT_FLAGS"	\
	-DCMAKE_BUILD_TYPE=Release				\
	..
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{?_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C build					\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
